Bug 698165 - Dracut mdadm udev rules call mdadm -I with "--no-degraded"
Summary: Dracut mdadm udev rules call mdadm -I with "--no-degraded"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dracut
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Harald Hoyer
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-20 10:50 UTC by Harald Hoyer
Modified: 2011-12-06 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
While autoassembling a MD raid, the dracut initramfs used an invalid parameter on calling mdadm from inside the udev to incrementally build the raid device. This would prevent the system to boot, if the root device is on a raid device and autoassembly of raid devices was chosen. The invalid parameter was removed and autoassembly for raid devices should now work for root devices from inside the dracut initramfs.
Clone Of:
Environment:
Last Closed: 2011-12-06 16:45:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1521 normal SHIPPED_LIVE dracut bug fix and enhancement update 2011-12-06 00:50:19 UTC

Description Harald Hoyer 2011-04-20 10:50:12 UTC
/etc/udev/rules.d/65-md-incremental-imsm.rules:

-RUN+="/sbin/mdadm -I --no-degraded $env{DEVNAME}"
+RUN+="/sbin/mdadm -I $env{DEVNAME}"

This prevents mdraid auto assembly (no UUID given).

Comment 1 Harald Hoyer 2011-04-20 10:54:19 UTC
btw, "--no-degraded" is not a valid option for "-I"

Comment 2 RHEL Product and Program Management 2011-05-13 23:09:13 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 4 Harald Hoyer 2011-08-10 13:23:02 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
While autoassembling a MD raid, the dracut initramfs used an invalid parameter on calling mdadm from inside the udev to incrementally build the raid device. This would prevent the system to boot, if the root device is on a raid device and autoassembly of raid devices was chosen. The invalid parameter was removed and autoassembly for raid devices should now work for root devices from inside the dracut initramfs.

Comment 6 Alexander Todorov 2011-08-25 08:24:06 UTC
# rpm -qf /usr/share/dracut/modules.d/90mdraid/65-md-incremental-imsm.rules 
dracut-004-231.el6.noarch

# grep degraded /usr/share/dracut/modules.d/90mdraid/65-md-incremental-imsm.rules 
#

Comment 7 errata-xmlrpc 2011-12-06 16:45:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1521.html


Note You need to log in before you can comment on or make changes to this bug.